Bug 1499436 - Failed to get properties: Process org.freedesktop.systemd1 exited with status 1 when using systemctl
Summary: Failed to get properties: Process org.freedesktop.systemd1 exited with status...
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 26
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-07 13:51 UTC by udo
Modified: 2017-10-10 15:49 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-09 09:41:08 UTC


Attachments (Terms of Use)

Description udo 2017-10-07 13:51:54 UTC
Description of problem:
Unable to use systemctl (and thus systemd) as a user 

Version-Release number of selected component (if applicable):
systemd-233-6.fc26.x86_64

How reproducible:
$ systemctl --user status vino-server
Failed to get properties: Process org.freedesktop.systemd1 exited with status 1

Steps to Reproduce:
1. Have Fedora box
2. be a user
3. use systemd as described in the above paragraph

Actual results:
Failed to get properties: Process org.freedesktop.systemd1 exited with status 1

Expected results:
Status of indicated process

Additional info:
Please explain why it takes so long before systemd bugs are fixed.

Comment 1 udo 2017-10-07 14:02:52 UTC
After reading a bit from https://github.com/systemd/systemd/issues/5247 some additional info:

$ systemctl --user status dbus.service
Failed to get properties: Process org.freedesktop.systemd1 exited with status 1

So what was the writer of '@soloturn well, is "systemctl --user dbus.service" showing that the user dbus is running as user service off systemd --user?' really trying to obtain?

$  systemctl --user | grep loaded
Failed to list units: Process org.freedesktop.systemd1 exited with status 1

$ ps -ef|grep dbus|grep ^udo
udo       8882  8875  0 11:28 tty2     00:00:01 dbus-daemon --print-address 4 --session
udo       9110  9105  0 11:28 tty2     00:00:00 /bin/dbus-daemon --config-file=/usr/share/defaults/at-spi2/accessibility.conf --nofork --print-address 3
udo      22979  9916  0 15:58 pts/3    00:00:00 grep --color=auto dbus
$

Please fix this stuff as systemd again let us down; back in the day we could simply start a process and be done with it.

Comment 2 Jan Synacek 2017-10-09 09:41:08 UTC
$ rpm -q systemd
systemd-233-6.fc26.x86_64

$ systemctl --user status dbus.service
● dbus.service - D-Bus User Message Bus
   Loaded: loaded (/usr/lib/systemd/user/dbus.service; static; vendor preset: enabled)
  Drop-In: /usr/lib/systemd/user/dbus.service.d
           └─flatpak.conf
   Active: active (running) since Fri 2017-10-06 09:27:00 CEST; 3 days ago

$ systemctl --user status vino-server
● vino-server.service - Vino VNC server
   Loaded: loaded (/usr/lib/systemd/user/vino-server.service; static; vendor preset: enabled)
   Active: inactive (dead)

Comment 3 Michal Schmidt 2017-10-09 10:26:59 UTC
Is your user manager running?:
systemctl status user@$(id -u)

Comment 4 udo 2017-10-09 14:26:34 UTC
It is not nice to close the bug and then ask questions.
Especially within the systemd context it is rather rude.

What is a user manager and why do I need one?

$ systemctl status user@$(id -u)|more
● user@500.service - User Manager for UID 500
   Loaded: loaded (/usr/lib/systemd/system/user@.service; static; vendor preset: disabled)
   Active: inactive (dead)

So no.
How did it get there?
How do I fix this?

Comment 5 Michal Schmidt 2017-10-10 09:57:58 UTC
(In reply to udo from comment #4)
> It is not nice to close the bug and then ask questions.

Notice I am not the same person.

> Especially within the systemd context it is rather rude.

wtf

> What is a user manager and why do I need one?

A thing that makes "systemctl --user" work.

> $ systemctl status user@$(id -u)|more
> ● user@500.service - User Manager for UID 500
>    Loaded: loaded (/usr/lib/systemd/system/user@.service; static; vendor
> preset: disabled)
>    Active: inactive (dead)
> 
> So no.
> How did it get there?
> How do I fix this?

Normally it is started by systemd-logind when asked by pam_systemd.so (called from /etc/pam.d/system-auth) when you log in.

So the next question is how exactly do you log in and whether you have changed the relevant PAM configuration.

Comment 6 udo 2017-10-10 13:23:19 UTC
(In reply to Michal Schmidt from comment #5)
> (In reply to udo from comment #4)
> > It is not nice to close the bug and then ask questions.
> 
> Notice I am not the same person.

I did.

> > Especially within the systemd context it is rather rude.
> 
> wtf

systemd issues remain open for quite a while. Especially the logging is still not fixed and forced me to do changes to the kernel startup parameters while the deamon(s) should be able to behave. Not every system is a developers workstation. Logging on success is abnormal. Logging more than one line is abnormal. Doing more than init did, doing it more noisily is abnormal.

> > What is a user manager and why do I need one?
> 
> A thing that makes "systemctl --user" work.

Why wouldn't it work without that daemon in this beautiful, new design?
This is yet another daemon.

> > $ systemctl status user@$(id -u)|more
> > ● user@500.service - User Manager for UID 500
> >    Loaded: loaded (/usr/lib/systemd/system/user@.service; static; vendor
> > preset: disabled)
> >    Active: inactive (dead)
> > 
> > So no.
> > How did it get there?
> > How do I fix this?
> 
> Normally it is started by systemd-logind when asked by pam_systemd.so
> (called from /etc/pam.d/system-auth) when you log in.
> 
> So the next question is how exactly do you log in and whether you have
> changed the relevant PAM configuration.

# cat /etc/pam.d/system-auth
#%PAM-1.0
# This file is auto-generated.
# User changes will be destroyed the next time authconfig is run.
auth        required      pam_env.so
auth        sufficient    pam_unix.so try_first_pass nullok
auth        required      pam_deny.so

account     required      pam_unix.so

password    requisite     pam_pwquality.so try_first_pass local_users_only retry=3 authtok_type=
password    sufficient    pam_unix.so try_first_pass use_authtok nullok sha512 shadow
password    required      pam_deny.so

session     optional      pam_keyinit.so revoke
session     required      pam_limits.so
-session     optional      pam_systemd.so
session     [success=1 default=ignore] pam_succeed_if.so service in crond quiet use_uid
session     required      pam_unix.so

What is wrong in there?
I log in mostly via the gui on this box. (Gnome whatever on Fedora 26)
I did change the su thing in pam.d. Unsure about the rest. See above for the contents of the file you mentioned.

Comment 7 Michal Schmidt 2017-10-10 15:44:02 UTC
Is the XDG_SESSION_ID environment variable defined once you login?
And what does this say?:
loginctl session-status $XDG_SESSION_ID

Comment 8 udo 2017-10-10 15:49:35 UTC
(In reply to Michal Schmidt from comment #7)
> Is the XDG_SESSION_ID environment variable defined once you login?

Yes.
$ echo $XDG_SESSION_ID 
43


> And what does this say?:
> loginctl session-status $XDG_SESSION_ID

$ loginctl session-status $XDG_SESSION_ID|more
43 - udo (500)
	   Since: Sat 2017-10-07 11:28:24 CEST; 3 days ago
	  Leader: 8850 (gdm-session-wor)
	    Seat: seat0; vc2
	     TTY: /dev/tty2
	 Service: gdm-password; type x11; class user
	   State: active
	    Unit: session-43.scope
		  ├─ 2149 loginctl session-status 43
		  ├─ 2150 more
		  ├─ 8850 gdm-session-worker [pam/gdm-password]
		  ├─ 8863 /usr/bin/gnome-keyring-daemon --daemonize --login
		  ├─ 8875 /usr/libexec/gdm-x-session --run-script gnome-session
		  ├─ 8877 /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/500/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
		  ├─ 8882 dbus-daemon --print-address 4 --session
		  ├─ 8886 /usr/libexec/gnome-session-binary
		  ├─ 8963 /usr/libexec/imsettings-daemon
		  ├─ 8967 /usr/libexec/gvfsd
		  ├─ 8972 /usr/libexec/gvfsd-fuse /run/user/500/gvfs -f -o big_writes
		  ├─ 9105 /usr/libexec/at-spi-bus-launcher
		  ├─ 9110 /bin/dbus-daemon --config-file=/usr/share/defaults/at-spi2/accessibility.conf --nofork --print-address 3
		  ├─ 9112 /usr/libexec/at-spi2-registryd --use-gnome-session
		  ├─ 9138 /usr/bin/gnome-shell
		  ├─ 9155 /usr/libexec/gnome-shell-calendar-server
		  ├─ 9164 /usr/libexec/evolution-source-registry
		  ├─ 9180 /usr/libexec/gvfs-udisks2-volume-monitor
		  ├─ 9191 /usr/libexec/gvfs-gphoto2-volume-monitor
		  ├─ 9197 /usr/libexec/gsd-mouse
		  ├─ 9198 /usr/libexec/gsd-orientation
		  ├─ 9201 /usr/libexec/gsd-power
		  ├─ 9203 /usr/libexec/gsd-print-notifications
		  ├─ 9206 /usr/libexec/gsd-rfkill
		  ├─ 9207 /usr/libexec/gsd-screensaver-proxy
		  ├─ 9210 /usr/libexec/gsd-sharing
		  ├─ 9214 /usr/libexec/gsd-sound
		  ├─ 9217 /usr/libexec/gsd-wacom
		  ├─ 9222 /usr/libexec/gsd-smartcard
		  ├─ 9235 /usr/libexec/gsd-xrandr
		  ├─ 9236 /usr/libexec/gsd-xsettings
		  ├─ 9239 /usr/libexec/gsd-a11y-keyboard
		  ├─ 9241 /usr/libexec/gsd-a11y-settings
		  ├─ 9242 /usr/libexec/gsd-clipboard
		  ├─ 9248 /usr/libexec/gsd-color
		  ├─ 9249 /usr/libexec/gsd-datetime
		  ├─ 9252 /usr/libexec/gsd-housekeeping
		  ├─ 9255 /usr/libexec/gsd-keyboard
		  ├─ 9256 /usr/libexec/gsd-media-keys
		  ├─ 9293 /usr/libexec/gsd-printer
		  ├─ 9342 nautilus-desktop
		  ├─ 9345 /usr/libexec/gsd-disk-utility-notify
		  ├─ 9353 zeitgeist-datahub
		  ├─ 9357 /usr/libexec/tracker-miner-apps
		  ├─ 9365 nautilus
		  ├─ 9370 /usr/libexec/gvfsd-trash --spawner :1.6 /org/gtk/gvfs/exec_spaw/0
		  ├─ 9384 /usr/libexec/tracker-miner-user-guides
		  ├─ 9403 /usr/libexec/tracker-store
		  ├─ 9417 /usr/bin/zeitgeist-daemon
		  ├─ 9472 /usr/libexec/gnome-terminal-server
		  ├─ 9484 /usr/libexec/zeitgeist/zeitgeist-fts
		  ├─ 9551 /usr/libexec/dconf-service
		  ├─ 9565 bash
		  ├─ 9576 /usr/libexec/evolution-calendar-factory
		  ├─ 9631 /usr/libexec/gvfsd-metadata
		  ├─ 9643 /usr/libexec/evolution-calendar-factory-subprocess --factory contacts --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx9576x2 --own-path /org/gnome/evolution/da
taserver/Subprocess/Backend/Calendar/9576/2
		  ├─ 9667 /usr/libexec/evolution-addressbook-factory
		  ├─ 9669 /usr/libexec/evolution-calendar-factory-subprocess --factory local --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx9576x3 --own-path /org/gnome/evolution/datas
erver/Subprocess/Backend/Calendar/9576/3
		  ├─ 9676 /usr/libexec/gvfsd-burn --spawner :1.6 /org/gtk/gvfs/exec_spaw/1
		  ├─ 9718 /usr/libexec/evolution-addressbook-factory-subprocess --factory local --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.AddressBookx9667x2 --own-path /org/gnome/evolution
/dataserver/Subprocess/Backend/AddressBook/9667/2
		  ├─ 9786 /usr/libexec/gvfsd-cdda --spawner :1.6 /org/gtk/gvfs/exec_spaw/2
		  ├─ 9807 bash
		  ├─ 9861 bash
		  ├─ 9916 bash
		  ├─10119 /usr/libexec/gconfd-2
		  ├─10147 transmission-gtk
		  ├─10219 /usr/bin/gedit --gapplication-service
		  ├─10308 /usr/libexec/gvfsd-network --spawner :1.6 /org/gtk/gvfs/exec_spaw/4
		  ├─10335 /usr/libexec/gvfsd-dnssd --spawner :1.6 /org/gtk/gvfs/exec_spaw/7
		  ├─10404 ssh -L 127.0.0.1:81:127.0.0.1:81 -L 127.0.0.1:1050:127.0.0.1:8010 udo@censored
		  ├─10405 ssh -Y root@recorder
		  ├─24013 /usr/lib64/thunderbird/thunderbird
		  ├─30239 /usr/lib64/firefox/firefox https://bugzilla.redhat.com/show_bug.cgi?id=1499436
		  ├─30687 sleep 30000
		  └─31247 /usr/lib64/firefox/plugin-container /usr/lib64/flash-plugin/libflashplayer.so -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/fire
fox/browser 30239 true plugin


Note You need to log in before you can comment on or make changes to this bug.